package agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/agent"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /agent/update agent UpdateAgent
//
// Update agent information | 更新Agent
//
// Update agent information | 更新Agent
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AgentInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateAgentHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AgentInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := agent.NewUpdateAgentLogic(r.Context(), svcCtx)
		resp, err := l.UpdateAgent(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
